Subject: bug#5078: 23.1.50; vc broken

From: Dan Nicolaescu <[email-masked]>
Date: Mon, 30 Nov 2009 11:59:56 -0800 (PST)

Leo <[email-masked]> writes:

  > On 2009-11-30 16:46 +0000, Dan Nicolaescu wrote:
  > > Leo <[email-masked]> writes:
  > >
  > >   > Please describe exactly what actions triggered the bug
  > >   > and the precise symptoms of the bug.  If you can, give
  > >   > a recipe starting from `emacs -Q':
  > >   > 
  > >   > For files that are placed in a subdirectory (where there's no .git) of a
  > >   > git repo, vc now thinks a file unchanged even if there are changes.
  > >
  > > Can you please send a detailed recipe starting from emacs -Q of how to
  > > reproduce this?
  > 
  > I think I am seeing an odd bug.
  > 
  > There's a file in one of my projects that Emacs (with -Q) VC can't see
  > its changes. However, I can use magit to see its changes without any
  > problem. I tried to reproduce this problem with a newly created git repo
  > but with no luck.
  > 
  > Could you let me know how I can debug this further? Thanks.

With the file that you have problems with in the current buffer, try to debug:

M-: (vc-git-state (buffer-file-name)) RET